package edu.institution.loginid.lab12.calgorythmic;

import c12lists.lab.calgorythmic.midi.Midi;
import c12lists.lab.calgorythmic.midi.MidiPlayer;

/**
 * Preliminary code for the Calgorythmic lab exercises
 * 
 * Note that Java 7's Midi library is not compatible with the Minim libraries, so those libraries, 
 * if present in the build path, must be removed for this code to work properly. - kvlinden, Spring, 2013
 * 
 * @author kvlinden
 * @version Fall, 2009
 */
public class CalgorythmicConsole {

	private static MidiPlayer midi;

	// A sample exercise that plays a middle C
	public static void exercise0() throws Exception {
		Piece middleC = new Piece(Midi.ANDANTE);
		Part melody = new Part(Midi.PIANO);
		melody.addChord(new Chord(Midi.C4, Midi.WHOLE));
		middleC.addPart(melody);
		middleC.play(midi);
	}

	public static void main(String[] args) throws Exception {
		midi = new MidiPlayer();
		exercise0();
		midi.close();
	}

}
